Subject: Re: [RFC][PATCH -mm take5 4/7] using symlink for the net_device

From: Keiichi KII <[email-masked]>
Date: Tue, 19 Jun 2007 19:03:50 +0900

Hello Satyam,

> Sorry, but we're not covering from the error condition fully here. Note
> that later you merge the temporary modify_target_list entirely back
> into the target_list ... which would still contain these erroneous
> nodes. A full cleanup (kobject_unregister the entry, and then list_del
> from modify_target_list) is required here, before continuing.

I will fix this. If the error occurs, I think so that we need to cleanup
completely.

>> +                       strcpy(nt->np.dev_name, dev->name);
> 
> ... you'll have move this up.
> 

Why? I don't have opposition about moving this up, but I'm misplacing the abobe code?
or it isn't appropriate about coding style?

Thanks
-- 
Keiichi KII
NEC Corporation OSS Platform Development Division
E-mail: [email-masked]